Gentoo Archives: gentoo-commits

From: Sebastien Fabbro <bicatali@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/moto/
Date: Mon, 31 Jul 2017 18:12:52
Message-Id: 1501524724.4bf8e0ed63c2028a2042b6f253ee906366e58338.bicatali@gentoo
commit:     4bf8e0ed63c2028a2042b6f253ee906366e58338
Author:     S├ębastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 29 20:11:23 2017 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 18:12:04 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4bf8e0ed

dev-python/moto: version bump

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-python/moto/Manifest          |  1 +
 dev-python/moto/moto-1.0.1.ebuild | 47 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/moto/Manifest b/dev-python/moto/Manifest
index 0df537c827a..abd3d502b8c 100644
--- a/dev-python/moto/Manifest
+++ b/dev-python/moto/Manifest
@@ -1,2 +1,3 @@
 DIST moto-0.4.22.tar.gz 192878 SHA256 07c511f1ebcdf28a4022478bbca6c1e11585f41d0301e8d4525c353d0f7c1d59 SHA512 7a5f1f43dbf6202696705c52a35fde4e046febd403b1e1b0a7e98ae25e881c6a86c29d2f27841db5ce8fe34689cd00ff4d2d711cbfc8817723d2dfa675379f8c WHIRLPOOL 636aeab8991f0b6c5931c2085478bd1cc15df6d15ed04d33500e1848d1095d7e3734dc23b8fbe6aab2f067f8c63733feb96c7a06cc530d9dcdd3bbaaecd5bc9c
 DIST moto-0.4.30.tar.gz 614008 SHA256 8575b5d19fff0c6046692de6deb2a77968e34eea8a97d6c7e1b2be2148e4867e SHA512 ece27979911f46adbb0aec9aa3755b13c09ced00b24ea136ab9c8a8a992550e9c38dac15d8b0c71822953f070761083253ee5fb5cbe44a4b108d140ab4407699 WHIRLPOOL b277fa02ecf998f4d9120e182310cbced96cd7b79e6f92a8752872bec5bebbd0ebc2c2d759dfbb7d23cc99e9ea046376d0ad403a6c2c03dfda3a56702e44de2e
+DIST moto-1.0.1.tar.gz 731617 SHA256 1e856ff6c2ec03785b7ac758c2564b1644a5fe02ce00e5653b5a94e71af9532f SHA512 3171ea3e8f9d267960a7b82caf7e42b86fceba5a80e96d35b849e4e72b7fc6aed94090161219a520f9c1b4050f7de12e0f6c0d560ab1f90ca43fc0387b62d377 WHIRLPOOL 071968fe3bd8818d39a6ed1a18db85a0280edd74095c7cdb81029df1146235e4b197179d10dc08c58c04b78609bb108db39cdd14eb7734e10fe1ea867acd3fe0

diff --git a/dev-python/moto/moto-1.0.1.ebuild b/dev-python/moto/moto-1.0.1.ebuild
new file mode 100644
index 00000000000..d058dd3da59
--- /dev/null
+++ b/dev-python/moto/moto-1.0.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Mock library for boto"
+HOMEPAGE="https://github.com/spulec/moto"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+IUSE="test"
+
+RDEPEND="
+	dev-python/cookies[${PYTHON_USEDEP}]
+	dev-python/dicttoxml[${PYTHON_USEDEP}]
+	>=dev-python/jinja-2.8[${PYTHON_USEDEP}]
+	>=dev-python/boto-2.36.0[${PYTHON_USEDEP}]
+	>=dev-python/boto3-1.2.1[${PYTHON_USEDEP}]
+	dev-python/flask[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/python-dateutil[${PYTHON_USEDEP}]
+	dev-python/pytz[${PYTHON_USEDEP}]
+	dev-python/python-dateutil[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+	dev-python/xmltodict[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+	dev-python/werkzeug[${PYTHON_USEDEP}]
+"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	test? ( ${RDEPEND}
+			dev-python/freezegun[${PYTHON_USEDEP}]
+			dev-python/mock[${PYTHON_USEDEP}]
+			dev-python/nose[${PYTHON_USEDEP}]
+			dev-python/responses[${PYTHON_USEDEP}]
+			dev-python/sure[${PYTHON_USEDEP}]
+		  )
+"
+
+python_test() {
+	nosetests -v || die
+}